imagezoom (0.4.4-1) debian-dir only changes

Summary

 debian/README.Debian     |   10 +++
 debian/Uninstall         |    2 
 debian/changelog         |  133 +++++++++++++++++++++++++++++++++++++++++++++++
 debian/chrome.d          |   14 ++++
 debian/compat            |    1 
 debian/control           |   30 ++++++++++
 debian/copyright         |   36 ++++++++++++
 debian/dh_wraporig       |  114 ++++++++++++++++++++++++++++++++++++++++
 debian/dh_wraporig.local |    4 +
 debian/dirs              |    4 +
 debian/extensions.d      |    1 
 debian/links             |   11 +++
 debian/postinst          |   38 +++++++++++++
 debian/postrm            |   38 +++++++++++++
 debian/rules             |   47 ++++++++++++++++
 debian/watch             |   14 ++++
 16 files changed, 497 insertions(+)

    
download this patch

Patch contents

--- imagezoom-0.4.4.orig/debian/watch
+++ imagezoom-0.4.4/debian/watch
@@ -0,0 +1,14 @@
+# watch control file for uscan
+# Run the "uscan" command to check for upstream updates and more.
+# Site		Directory		Pattern			Version	Script
+version=3
+
+# this rule will catch all new releases which even were not announced -- we don't want that
+#http://imagezoom.yellowgorilla.net/versions/releases/(\d[\d.]+)/imagezoom_([\d.]+)\.xpi
+
+# this one looks on what was announced and feeds it to the wrapper to create tarball
+#http://imagezoom.yellowgorilla.net versions/releases/(?:\d[\d.]+)/imagezoom_([\d.]+)\.xpi \
+#        debian debian/dh_wraporig
+# pattern got changed on 07/30/2006
+http://imagezoom.yellowgorilla.net imagezoom_([\d.]+)\.xpi \
+        debian debian/dh_wraporig
--- imagezoom-0.4.4.orig/debian/extensions.d
+++ imagezoom-0.4.4/debian/extensions.d
@@ -0,0 +1 @@
+extension,{1A2D0EC4-75F5-4c91-89C4-3656F6E44B68}
--- imagezoom-0.4.4.orig/debian/copyright
+++ imagezoom-0.4.4/debian/copyright
@@ -0,0 +1,36 @@
+This package was Debianized by Yaroslav Halchenko
+<debian@onerussian.com> on Wed, 7 Sep 2005 14:54:48 -1000.
+
+Pre 0.2.5:
+ It was downloaded from http://imagezoom.yellowgorilla.net/ .
+ The .xpi file there was unpacked using 'unzip' to construct the
+ original source archive.
+
+Starting from 0.2.5:
+ Sources exported from upstream SVN repository
+ http://imagezoom.yellowgorilla.net/versions/ 
+ and wrapped inside a tarball
+ 
+Upstream author: Jason Adams <jason_nospam@yellowgorilla.net>
+
+Copyright: 2004 Jason Adams
+
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License along with
+this program; if not, write to the Free Software Foundation, Inc., 
+51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+On Debian systems, the complete text of the GNU General Public
+License, version 2, can be found in /usr/share/common-licenses/GPL-2.
+
+The Debian packaging is (C) 2006, Yaroslav Halchenko <debian@onerussian.com>
+and is licensed under the GPL, see above.
--- imagezoom-0.4.4.orig/debian/links
+++ imagezoom-0.4.4/debian/links
@@ -0,0 +1,11 @@
+etc/mozilla-extensions/imagezoom.js usr/share/mozilla-extensions/imagezoom/defaults/preferences/imagezoom-defaults.js
+etc/mozilla-extensions/imagezoom.js usr/share/iceape/defaults/pref/imagezoom-defaults.js
+etc/mozilla-extensions/imagezoom.js usr/lib/mozilla/defaults/pref/imagezoom-defaults.js
+usr/share/mozilla-extensions/imagezoom/chrome.d var/lib/iceape/chrome.d/42imagezoom
+usr/share/mozilla-extensions/imagezoom/chrome.d var/lib/mozilla/chrome.d/42imagezoom
+usr/share/mozilla-extensions/imagezoom/chrome/imagezoom.jar usr/share/iceape/chrome/imagezoom.jar
+usr/share/mozilla-extensions/imagezoom/chrome/imagezoom.jar usr/share/mozilla/chrome/imagezoom.jar
+usr/share/mozilla-extensions/imagezoom usr/lib/iceweasel/extensions/{1A2D0EC4-75F5-4c91-89C4-3656F6E44B68}
+usr/share/mozilla-extensions/imagezoom usr/lib/firefox/extensions/{1A2D0EC4-75F5-4c91-89C4-3656F6E44B68}
+usr/share/mozilla-extensions/imagezoom usr/lib/icedove/extensions/{1A2D0EC4-75F5-4c91-89C4-3656F6E44B68}
+usr/share/mozilla-extensions/imagezoom usr/lib/thunderbird/extensions/{1A2D0EC4-75F5-4c91-89C4-3656F6E44B68}
--- imagezoom-0.4.4.orig/debian/control
+++ imagezoom-0.4.4/debian/control
@@ -0,0 +1,30 @@
+Source: imagezoom
+Section: web
+Priority: optional
+Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5.0.0)
+Build-Depends-Indep: zip
+Homepage: http://imagezoom.yellowgorilla.net
+
+Package: mozilla-imagezoom
+Architecture: all
+Depends: ${misc:Depends}, iceweasel | firefox | mozilla-firefox | iceape-browser | iceape-mailnews | mozilla-browser | mozilla-mailnews | icedove | thunderbird | mozilla-thunderbird
+Conflicts: mozilla-firefox (<< 0.99+1.0RC1-3)
+Description: Mozilla context menu option to zoom current image
+ Easy to use extension that works with Firefox, Mozilla and Thunderbird.
+ .
+ Right click on an image and select a zoom option from the popup menu,
+ or, hold down the right mouse button in combination with the mouse
+ wheel to zoom in or out on an image.
+ .
+ Features include:
+  - Zoom In/Out
+  - Reset Image Size
+  - Custom Zoom
+  - Custom Dimensions
+  - Fit Image to Screen
+  - Zoom to Preset Values directly from menu
+  - Option to Change Zoom In/Out Factor
+  - Options to hide/show each menu item
+  - Show items in main context or a Zoom Image sub menu
--- imagezoom-0.4.4.orig/debian/Uninstall
+++ imagezoom-0.4.4/debian/Uninstall
@@ -0,0 +1,2 @@
+register	global	package	imagezoom
+register	global	locale	en-US
--- imagezoom-0.4.4.orig/debian/dh_wraporig.local
+++ imagezoom-0.4.4/debian/dh_wraporig.local
@@ -0,0 +1,4 @@
+#
+# Parameters file for dh_wraporig, so it can be easily reused
+#
+source='svn export http://imagezoom.yellowgorilla.net/versions/releases/${uversion}/source/'
--- imagezoom-0.4.4.orig/debian/chrome.d
+++ imagezoom-0.4.4/debian/chrome.d
@@ -0,0 +1,14 @@
+content,install,url,jar:resource:/chrome/imagezoom.jar!/content/                                                        
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/en-US/                                                    
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/fr-FR/                                                    
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/sl-SI/                                                    
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/zh-TW/                                                    
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/ja-JP/                                                    
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/de-DE/                                                    
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/cs-CZ/
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/hu-HU/
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/ko-KR/
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/es-ES/
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/es-AR/
+locale,install,url,jar:resource:/chrome/imagezoom.jar!/locale/it-IT/
+skin,install,url,jar:resource:/chrome/imagezoom.jar!/skin/classic/imagezoom/        
--- imagezoom-0.4.4.orig/debian/rules
+++ imagezoom-0.4.4/debian/rules
@@ -0,0 +1,47 @@
+#! /usr/bin/make -f
+
+export DH_OPTIONS
+
+dtmp = $(CURDIR)/debian/mozilla-imagezoom
+extdir = $(dtmp)/usr/share/mozilla-extensions/imagezoom
+uuid = 1A2D0EC4-75F5-4c91-89C4-3656F6E44B68
+
+build:
+
+clean:
+	dh_testdir
+	dh_testroot
+	dh_clean
+
+install:
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	cd chrome; zip -r $(extdir)/chrome/imagezoom.jar . -x \*/.svn\* ; cd ..
+
+	install -m 644 defaults/preferences/imagezoom-defaults.js $(dtmp)/etc/mozilla-extensions/imagezoom.js
+	install -m 644 debian/chrome.d debian/extensions.d install.rdf \
+		chrome.manifest $(extdir)
+	install -m 644 debian/Uninstall $(extdir)/uninstall
+
+binary-arch:
+
+binary-indep: DH_OPTIONS=-i
+binary-indep: install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs
+	dh_installdocs
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep
+
+.PHONY: clean install binary-indep binary-arch binary build
--- imagezoom-0.4.4.orig/debian/changelog
+++ imagezoom-0.4.4/debian/changelog
@@ -0,0 +1,133 @@
+imagezoom (0.4.4-1) unstable; urgency=low
+
+  * New upstream release (Closes: #564132)
+  * Boosted standards to 3.8.4 (no changes iirc were due)
+  * Depends on ${misc:Depends} + dh_compat boosted to 5 (minimal
+    supported) from deprecated 4.
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 10 Mar 2010 20:52:23 -0500
+
+imagezoom (0.3.1-1) unstable; urgency=low
+
+  * New upstream release
+  * Boosted standards to 3.7.3 (no change is needed)
+  * Homepage is in the control field
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 31 Mar 2008 20:24:30 -0400
+
+imagezoom (0.3-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 27 Apr 2007 17:45:47 -0400
+
+imagezoom (0.2.7-8) unstable; urgency=low
+
+  * Depends on the choice of iceape-browser | iceape-mailnews | icedove, as
+    well as on transitional packages (e.g. mozilla-browser) which remain with
+    copyrighted names under derived distros (eg Ubuntu) (Closes: #406808)
+  * Corrected where to place link for default prefs for iceape - under
+    /usr/share instead of /usr/lib (left intact for mozilla) (Closes:
+    #406689)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 14 Jan 2007 17:23:37 -0500
+
+imagezoom (0.2.7-7) unstable; urgency=low
+
+  * Removed per application links to preferences file for iceweasel/firefox
+    and icedove/thunderbird (Closes: #404611)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Dec 2006 23:00:21 -0500
+
+imagezoom (0.2.7-6) unstable; urgency=low
+
+  * There must be no files in /usr/lib/iceape/chrome: now link is created
+    under /usr/share/iceape/chrome (Closes: #404300)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 23 Dec 2006 23:29:08 -0500
+
+imagezoom (0.2.7-5) unstable; urgency=low
+
+  * Links to properly fix 400168 for all renamed projects like icedove, and
+    iceape. Yarik, please don't rush too much next time
+
+  * Removed chrome links for thunderbird/icedove - it has extensions
+    manager now, thus does not need explicit links to chrome
+
+  * Added update-iceape-chrome to post* scripts
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Dec 2006 15:43:34 -0500
+
+imagezoom (0.2.7-4) unstable; urgency=low
+
+  * To properly fix 400168 links to /usr/lib/iceweasel/extensions are
+    necessary
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Dec 2006 14:09:35 -0500
+
+imagezoom (0.2.7-3) unstable; urgency=low
+
+  * Added depends on iceweasel, so transition goes smooth (closes: 400168)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Wed,  6 Dec 2006 15:25:18 -0500
+
+imagezoom (0.2.7-2) unstable; urgency=low
+
+  * Modified dh_wraporig so it can be used elsewhere as well to wrap sources
+    (or to check them out from SVN)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Oct 2006 23:45:46 -0400
+
+imagezoom (0.2.7-1) unstable; urgency=low
+
+  * New upstream release
+  * Fixed debian/watch due to website layout changes
+  * Adjusted links to use thunderbird instead of mozilla-thunderbird
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Wed,  6 Sep 2006 09:02:58 -0400
+
+imagezoom (0.2.5-2) unstable; urgency=low
+
+  * Added binary-arch target to debian/rules to comply with policy
+  * Upgrade to policy version 3.7.2
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 16 May 2006 16:38:25 -0400
+
+imagezoom (0.2.5-1) unstable; urgency=low
+
+  * New upstream release
+  * New strategic to build mozilla extension package using the true source
+    exported from the SVN repository (script + debian/watch + svn-upgrade)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Apr 2006 22:25:26 -0400
+
+imagezoom (0.2.3-1) unstable; urgency=low
+
+  * New upstream release
+  * chrome.d and debian/links are adjusted to confirm the content of .jar,
+    which forbidden imagezoom to be used in mozilla.
+    Thanks to Robert Luberda who provided the "patch" (closes: #353465)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Feb 2006 00:26:30 -0500
+
+imagezoom (0.2.2-2) unstable; urgency=low
+
+  * Updated depends to include firefox (closes: 348283)
+  * Fixed debian/links to create link under /usr/lib/firefox
+  * Removed links for obsolete mozilla-snapshot
+  * Default config file now is installed under /etc/mozilla-extensions
+  * Installing crome.manifest as well
+  
+ -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2006 02:19:47 -0500
+
+imagezoom (0.2.2-1) unstable; urgency=low
+
+  * Fresh upstream version
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 10 Jan 2006 13:05:42 -0500
+
+imagezoom (0.1.9.20050126-1) unstable; urgency=low
+
+  * Initial release (closes: #327120)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Wed,  7 Sep 2005 14:54:48 -1000
--- imagezoom-0.4.4.orig/debian/dh_wraporig
+++ imagezoom-0.4.4/debian/dh_wraporig
@@ -0,0 +1,114 @@
+#!/bin/bash
+#-------------------------- =+- Shell script -+= --------------------------
+#
+# @file      dh_wraporig
+# @date      Tue Apr 25 17:09:12 2006
+# @brief
+#
+# CVS version control block - do not edit manually
+#  $RCSfile: dh_wraporig,v $
+#  $Source: /home/cvs/yoh/soft/dh_wraporig,v $
+#
+# Created: Tue Apr 25 17:09:12 2006
+#  Commited: $Date: 2006/04/25 21:30:03 $
+#  Revision: $Revision: 1.1 $
+#
+#  Yaroslav Halchenko                                      CS@UNM, CS@NJIT
+#  web:     http://www.onerussian.com                      & PSYCH@RUTGERS
+#  e-mail:  yoh@onerussian.com                              ICQ#: 60653192
+#
+# DESCRIPTION (NOTES):
+#
+#  A very simple script to wrap provided files into a tarball.
+#  Can be used to be called by uscan whenever new .xpi for a mozilla
+#  extension is available from the upstream. Also it can be used to checkout
+#  upstream source from SVN, given the version to get and the path. Or to
+#  repackage .zip files into .tar.gz
+#
+# COPYRIGHT: Yaroslav Halchenko 2006
+#
+# LICENSE:
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the
+#  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
+#  MA 02110-1301, USA.
+#
+# On Debian system see /usr/share/common-licenses/GPL for the full license.
+#
+#-----------------\____________________________________/------------------
+set -e
+
+uversion=
+sname=
+call=svn-upgrade
+
+[ -f debian/dh_wraporig.local ] && source debian/dh_wraporig.local
+
+while [ $# -ge 0 ]
+  do
+  case $1 in
+      --upstream-version) uversion=$2; shift; shift
+		  ;;
+	  --source-name) sname=$2; shift; shift
+		  ;;
+	  --call) call=$2; shift; shift
+		  ;;
+      *)
+          break;
+          ;;
+  esac
+done
+
+if [ -z "$uversion" ]; then
+	echo "Please provide upstream version, so I didn't have to guess"
+	exit 1;
+fi
+
+if [ -z "$sname" ]; then
+	echo "Source name wasn't given -- trying to guess"
+	sname=`grep -h ^Source: debian/control control 2>/dev/null | awk '{print $2;}'`
+	if [ -z $sname ]; then
+		echo "Couldn't guess -- must be no {debian/,}control file"
+		exit 1
+	fi
+	echo "Source name: $sname"
+fi
+
+wdir="${sname}-${uversion}.orig"
+ofile="$wdir.tar.gz"
+ddir="../tarballs"
+
+# remove if such exists -- must be leftovers...
+rm -rf "$wdir"
+if [ ! -z "$source" ]; then
+	# handle different sources. 1st it is just SVN checkout
+	if [[ "$source" =~ "svn export" ]]; then
+        rm -rf $*
+        eval $source ${wdir}
+	else
+		echo "Do not know how to handle source $source"
+		exit 1
+	fi
+else
+	mkdir "$wdir"
+	mv $* $wdir
+fi
+
+tar -cf- "$wdir" | gzip -9 > "$ofile" 
+rm -rf "$wdir"
+mv "$ofile" "$ddir"
+
+[ ! -z "$call" ] && $call --upstream-version $uversion "$ddir/$ofile"
+
+#"$ofile"
--- imagezoom-0.4.4.orig/debian/dirs
+++ imagezoom-0.4.4/debian/dirs
@@ -0,0 +1,4 @@
+/etc/mozilla-extensions
+usr/share/mozilla-extensions/imagezoom/chrome
+usr/share/mozilla-extensions/imagezoom/uninstall
+
--- imagezoom-0.4.4.orig/debian/postrm
+++ imagezoom-0.4.4/debian/postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+set -e
+
+# A cut-down version of 'which' from debianutils.
+searchpath () {
+	PROGRAM="$1"
+	IFS_SAVE="$IFS"
+	IFS=:
+	RET=1
+	for ELEMENT in $PATH; do
+		if [ -z "$ELEMENT" ]; then
+			ELEMENT=.
+		fi
+		if [ -f "$ELEMENT/$PROGRAM" ] && \
+		   [ -x "$ELEMENT/$PROGRAM" ]; then
+			RET=0
+			break
+		fi
+	done
+	IFS="$IFS_SAVE"
+	return "$RET"
+}
+
+if [ "$1" = remove ] || [ "$1" = abort-install ]; then
+    for update in update-mozilla-chrome \
+                  update-iceape-chrome \
+                  update-mozilla-snapshot-chrome \
+                  update-mozilla-firefox-chrome \
+                  update-mozilla-thunderbird-chrome; do
+    if searchpath "$update"; then
+        "$update"
+    fi
+    done
+fi
+
+#DEBHELPER#
+
+exit 0
--- imagezoom-0.4.4.orig/debian/postinst
+++ imagezoom-0.4.4/debian/postinst
@@ -0,0 +1,38 @@
+#! /bin/sh
+set -e
+
+# A cut-down version of 'which' from debianutils.
+searchpath () {
+	PROGRAM="$1"
+	IFS_SAVE="$IFS"
+	IFS=:
+	RET=1
+	for ELEMENT in $PATH; do
+		if [ -z "$ELEMENT" ]; then
+			ELEMENT=.
+		fi
+		if [ -f "$ELEMENT/$PROGRAM" ] && \
+		   [ -x "$ELEMENT/$PROGRAM" ]; then
+			RET=0
+			break
+		fi
+	done
+	IFS="$IFS_SAVE"
+	return "$RET"
+}
+
+if [ "$1" = configure ]; then
+    for update in update-mozilla-chrome \
+                  update-iceape-chrome \
+                  update-mozilla-snapshot-chrome \
+                  update-mozilla-firefox-chrome \
+                  update-mozilla-thunderbird-chrome; do
+    if searchpath "$update"; then
+        "$update"
+    fi
+    done
+fi
+
+#DEBHELPER#
+
+exit 0
--- imagezoom-0.4.4.orig/debian/compat
+++ imagezoom-0.4.4/debian/compat
@@ -0,0 +1 @@
+5
--- imagezoom-0.4.4.orig/debian/README.Debian
+++ imagezoom-0.4.4/debian/README.Debian
@@ -0,0 +1,10 @@
+mozilla-imagezoom
+
+Debian specific notes:
+----------------------
+
+If you have any recommendations, please feel free to either file a bug
+report if the package gets accepted to Debian, or just email it to me
+<debian@onerussian.com>.
+
+Enjoy